# node-epages6

This is a helper for ePages 6 written in JavaScript for node.js. It provides the functionality to
pack the JavaScript and CSS files of a store as well as creating a minified version of the entire
*~/lib* directory.


## Installation

You can install this node module via `npm`. Because this module is not available in public
repositories, you will need a tarball containing the module. Locate this tarball, change into the
containing directory and issue the following command:

    npm install -g node-epages6.tar.gz


## Synposis & Usage

    usage: epnode6 [-h] [-v] [-j] [-c] [-m] -t STORE_TYPE -s STORE_VERSION [-p PROFILE] -w WEBROOT

    ePages 6 node.js helper

    Optional arguments:
      -h, --help            Show this help message and exit.
      -v, --version         Show program's version number and exit.
      -j, --pack-js         Pack the JavaScript files
      -c, --pack-css        Pack the LESS and CSS files
      -m, --minify          Minify all files
      -t STORE_TYPE, --store-type STORE_TYPE
                            The store type
      -s STORE_VERSION, --store-version STORE_VERSION
                            The version
      -p PROFILE, --profile PROFILE
                            The profile
      -w WEBROOT, --webroot WEBROOT
                            The webroot
      --minify-filter MINIMATCH
                            A minimatch expression for filtering the files to minify.

The helper provides three actions, which can be executed seperately or all at once. You will provide
some of the available options (`--pack-js`, `--pack-css` and `--minify`) and some of the parameters
(`--store-type`, `--store-version`, `--webroot` and `--profile`). The first three parameters are
required, the fourth parameter is required for packaging actions.


## Examples

This will minify all files under */srv/epages/eproot/Shared/WebRoot/StoreTypes/6.16.1/Store/lib* and
store them under */srv/epages/eproot/Shared/WebRoot/StoreTypes/6.16.1/Store/lib-min*. CVS files,
documentation files and test files are excluded.

    epnode6 --minify --store-type Store --webroot /srv/epages/eproot/Shared/WebRoot --store-version 6.16.1

This will create a package for the CSS and JavaScript files for the `bo` profile. As soon as both
packages are complete, the entire *~/lib* directory will be minified.

    epnode6 --minify --store-type Store --webroot /srv/epages/eproot/Shared/WebRoot --store-version 6.16.1 --package bo
